Feature: Host wizard GUI

	Background:
		Given an admin user called "gandalf" with password "123123" exists
		And I use the HTTP API with user "gandalf" and password "123123"
		Given I have the management pack "Aaaasbra Services" with description "Dethär är ett asbra man-pack"
		And the management pack "Aaaasbra Services" contains the service "Some Service"
		And I activate the HTTP API configuration

	Scenario: Create single host through wizard
		Given I log in as "gandalf" with password "123123"
		And I am on the "wizard" address
		Then I should see "Host Creation Wizard"

		When I click button "Next"
		Then I should see "Management Packs"
		When I click button "Next"
		Then I should see "You must select at least one Management Pack"
		When I click button "Select"
		And I click button "Next"

		# Host name/address card
		Then I should see "Name & Address"
		When I click button "Next"
		Then I should see "You must enter a value"
		When I enter "127.0.0.1" into "address"
		And I click button "Next"
		Then I should see "You must enter a name for this host"
		When I enter "monitor" into "host_name"
		And I click button "Next"
		Then I should see "A host with that name already exists"

		# Save configuration card
		When I enter "wizard-test-host" into "host_name"
		And I click button "Next"
		Then I should see "wizard-test-host(127.0.0.1)"
		When I click button "Save Configuration and View Added Hosts"
		Then I should see "Success"
		And wait for "5" seconds
		Given I'm on the list view for query [hosts] all
		Then I should see "wizard-test-host"
		Given I'm on the list view for query [services] host.name = "wizard-test-host"
		Then I should see "Some Service"
		Then I delete a host called wizard-test-host

	Scenario: Setup and add more hosts using the wizard
		Given I log in as "gandalf" with password "123123"
		And I am on the "wizard" address
		Then I should see "Host Creation Wizard"

		# Management Packs card
		When I click button "Next"
		Then I should see "Management Packs"

		# Host name/address card
		When I click button "Select"
		And I click button "Next"
		Then I should see "Name & Address"
		When I enter "127.0.0.1" into "address"
		When I enter "another-test-host" into "host_name"
		And I click button "Next"
		Then I should see "another-test-host(127.0.0.1)"

		# Save configuration card
		When I click button "Save Configuration and Add More Hosts"
		Then I should see "Success"
		And wait for "3" seconds

		Then I should see "Management Packs"
		When I click button "Select"
		And I click button "Next"

		Then I should see "Name & Address"
		When I enter "127.0.0.1" into "address"
		And I enter "yet-another-test-host" into "host_name"
		And I click button "Next"
		Then I should see "yet-another-test-host(127.0.0.1)"
		When I click button "Save Configuration and View Added Hosts"
		Then I should see "Success"
		And wait for "5" seconds
		Given I'm on the list view for query [hosts] all
		Then I should see "another-test-host"
		And I should see "yet-another-test-host"
		Given I'm on the list view for query [services] host.name = "another-test-host" or host.name = "yet-another-test-host"
		Then I should see "Some Service"
		Then I delete a host called another-test-host
		Then I delete a host called yet-another-test-host
